#include "text.h"
void
show_histogram_text(std::vector<size_t>bins,size_t bin_count){
    size_t Maxbins = 0;
    for (size_t i = 0; i < bin_count; i++)
    {
        if (bins[i] > Maxbins)
        {
            Maxbins = bins[i];
        }
    }
    const size_t MAX_HEIGHT = 76;
    if (Maxbins <= MAX_HEIGHT)
    {
        for (size_t i = 0; i < bin_count; i++)
        {
            if (bins[i] < 10)
            {
                std::cout << " ";
            }
            std::cout << " " << bins[i]<< "|";
            for (size_t j = 0; j < bins[i]; j++)
            {
                std::cout << "*";
            }
            std::cout << std::endl;
        }
    }
    else
    {
        for (size_t i = 0; i < bin_count; i++)
        {
            size_t height = static_cast<size_t>(MAX_HEIGHT * (static_cast<double>(bins[i]) / Maxbins));

            if (bins[i] < 100)
            {
                std::cout << " ";
            }
            if (bins[i] < 10)
            {
                std::cout << " ";
            }
            std::cout << bins[i] << "|";
            for (size_t j = 0; j < height; j++)
            {
                std::cout << "*";
            }
            std::cout << std::endl;
        }
    }
}
